Bug 1709385

Summary: [RFE] Include "Description" field in the hammer csv report.
Product: Red Hat Satellite Reporter: Rajan Gupta <rajgupta>
Component: Hammer - ContentAssignee: satellite6-bugs <satellite6-bugs>
Status: CLOSED CURRENTRELEASE QA Contact: Roman Plevka <rplevka>
Severity: high Docs Contact:
Priority: unspecified    
Version: 6.4CC: andrew.bartholomaus, bkearney, chris.samson232, dedavidclark, dedavidfenton, rjerrido
Target Milestone: UnspecifiedKeywords: FutureFeature
Target Release: Unused   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-07-11 12:34:02 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Rajan Gupta 2019-05-13 13:45:39 UTC
Description of problem:
Customer has shared the hosts registered to the satellite server among different teams and they have common naming conventions to identify the purpose of the hosts as changing the hostname is not an option for them. Hence they have added this information in the "Description" field and while generating the report, they want this information to be included which is not present as of now.


Version-Release number of selected component (if applicable):
- Red Hat Satellite 6.4

Actual results:
Currently the hammer csv report doesn't include this field in the report.

Expected results:
hammer csv report should include Description field in the report.

Comment 8 Rich Jerrido 2019-07-11 12:34:02 UTC
the hammer csv command can do this. You just have to create a custom report to do this. We cover how to do custom reports with hammer csv in https://access.redhat.com/blogs/1169563/posts/2938111

Firstly, edit /etc/hammer/cli.modules.d/csv.yml to contain the following:

:csv:
  :enable_module: true
  :columns:
    :content-hosts:
      :define:
        - :name: Comment
          :json:
            - comment


The above defines a new reporting fields.

Next, run hammer csv specifying these fields (plus any others you want) to get your report, example: 


hammer csv content-hosts --export \
  --columns 'Name,Comment' \
  --file custom.csv


And check your work

cat custom.csv 

Name,Comment
kvm01.example.com,
rhv-hypervisor2.example.com,
auth01.example.com,Test Comment
gt-client1.example.com,
rhv-hypervisor1.example.com,
rhvm.example.com,""


Be advised that hammer csv is DEPRECATED in Satellite 6.5 and will be REMOVED in Satellite 6.6. It is STRONGLY suggested to use the reporting engine (included in Satellite 6.5) to provide CSV reports.

Comment 9 Chris Samson 2020-01-27 13:14:00 UTC
Standard ATX (Advanced Technology Extended) developed as an evolution of the Baby-AT form factor, to improve the functionality of current I / O and reduce the total system cost. It is a motherboard form factor created by Intel in 1995. The previous form factor was called AT, which was entirely replaced by the ATX.

Know More: https://www.theitbase.com/definitions/atx/

Comment 10 David Clark 2020-03-05 16:57:06 UTC
iStockNow is a free online service that helps find the products you're looking for.
We monitor retail and online stores for you and notify you as soon as something is available.
More: https://www.techspotty.com/istocknow/

Comment 11 David Fenton 2020-03-05 17:03:48 UTC
I will like to tell you that these pills have proved a real blessing for the fat. You know that obesity not only causes a lot of diseases but also makes you look clumsy and slovenly. Every fat person wishes to lose weight fast through a shortcut without bothering much about taking an exercise
 For MoreL: https://mysavingdeals.com/diet-pills-that-work-fast-without-exercise/